%define pypi_name uritools

Name:           python-uritools
Version:        1.0.1
Release:        %mkrel 3
Group:          Development/Python
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse

License:        MIT
URL:            https://github.com/tkem/uritools/
Source0:        https://pypi.python.org/packages/source/u/uritools/uritools-%{version}.tar.gz
Patch0:         mga_fix_python3_requires.patch
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.

%package -n     python3-%{pypi_name}
Summary:        RFC 3986 compliant, Unicode-aware, scheme-agnostic replacement for urlparse


%description -n python3-%{pypi_name}
This module defines RFC 3986 compliant replacements for the most
commonly used functions of the Python 2.7 Standard Library urlparse_
and Python 3 `urllib.parse`_ modules.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

pushd %{py3dir}
%patch0 -p1
popd

find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.0.1-3.mga6
+ Revision: 972480
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 philippem <philippem> 1.0.1-2.mga6
+ Revision: 899849
- fix wrong requires in Python3 package

* Sat Nov 07 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 898431
- update to 1.0.1

* Thu Oct 08 2015 tv <tv> 0.9.0-2.mga6
+ Revision: 887442
- rebuild for python 3.5

* Sun Nov 23 2014 philippem <philippem> 0.9.0-1.mga5
+ Revision: 798564
- imported package python-uritools

